#define ENABLE_OVERLOADING (MIN_VERSION_haskell_gi_overloading(1,0,0) \
       && !defined(__HADDOCK_VERSION__))
module GI.Soup.Objects.Address where

import Data.GI.Base.ShortPrelude
import qualified Data.GI.Base.ShortPrelude as SP
import qualified Data.GI.Base.Overloading as O
import qualified Prelude as P

import qualified Data.GI.Base.Attributes as GI.Attributes
import qualified Data.GI.Base.ManagedPtr as B.ManagedPtr
import qualified Data.GI.Base.GClosure as B.GClosure
import qualified Data.GI.Base.GError as B.GError
import qualified Data.GI.Base.GVariant as B.GVariant
import qualified Data.GI.Base.GValue as B.GValue
import qualified Data.GI.Base.GParamSpec as B.GParamSpec
import qualified Data.GI.Base.CallStack as B.CallStack
import qualified Data.GI.Base.Properties as B.Properties
import qualified Data.Text as T
import qualified Data.ByteString.Char8 as B
import qualified Data.Map as Map
import qualified Foreign.Ptr as FP
import qualified GHC.OverloadedLabels as OL

newtype Address = Address (ManagedPtr Address)
instance GObject Address where
class (GObject o, O.IsDescendantOf Address o) => IsAddress o
instance (GObject o, O.IsDescendantOf Address o) => IsAddress o
instance O.HasParentTypes Address
#if ENABLE_OVERLOADING
data AddressFamilyPropertyInfo
#endif
#if ENABLE_OVERLOADING
data AddressNamePropertyInfo
#endif
#if ENABLE_OVERLOADING
data AddressPhysicalPropertyInfo
#endif
#if ENABLE_OVERLOADING
data AddressPortPropertyInfo
#endif
#if ENABLE_OVERLOADING
data AddressProtocolPropertyInfo
#endif
#if ENABLE_OVERLOADING
data AddressSockaddrPropertyInfo
#endif
#if ENABLE_OVERLOADING
data AddressEqualByIpMethodInfo
#endif
#if ENABLE_OVERLOADING
data AddressEqualByNameMethodInfo
#endif
#if ENABLE_OVERLOADING
data AddressGetGsockaddrMethodInfo
#endif
#if ENABLE_OVERLOADING
data AddressGetNameMethodInfo
#endif
#if ENABLE_OVERLOADING
data AddressGetPhysicalMethodInfo
#endif
#if ENABLE_OVERLOADING
data AddressGetPortMethodInfo
#endif
#if ENABLE_OVERLOADING
data AddressHashByIpMethodInfo
#endif
#if ENABLE_OVERLOADING
data AddressHashByNameMethodInfo
#endif
#if ENABLE_OVERLOADING
data AddressIsResolvedMethodInfo
#endif
#if ENABLE_OVERLOADING
data AddressResolveAsyncMethodInfo
#endif
#if ENABLE_OVERLOADING
data AddressResolveSyncMethodInfo
#endif
