#define ENABLE_OVERLOADING (MIN_VERSION_haskell_gi_overloading(1,0,0) \
       && !defined(__HADDOCK_VERSION__))
module GI.Soup.Objects.Auth where

import Data.GI.Base.ShortPrelude
import qualified Data.GI.Base.ShortPrelude as SP
import qualified Data.GI.Base.Overloading as O
import qualified Prelude as P

import qualified Data.GI.Base.Attributes as GI.Attributes
import qualified Data.GI.Base.ManagedPtr as B.ManagedPtr
import qualified Data.GI.Base.GClosure as B.GClosure
import qualified Data.GI.Base.GError as B.GError
import qualified Data.GI.Base.GVariant as B.GVariant
import qualified Data.GI.Base.GValue as B.GValue
import qualified Data.GI.Base.GParamSpec as B.GParamSpec
import qualified Data.GI.Base.CallStack as B.CallStack
import qualified Data.GI.Base.Properties as B.Properties
import qualified Data.Text as T
import qualified Data.ByteString.Char8 as B
import qualified Data.Map as Map
import qualified Foreign.Ptr as FP
import qualified GHC.OverloadedLabels as OL

newtype Auth = Auth (ManagedPtr Auth)
instance GObject Auth where
class (GObject o, O.IsDescendantOf Auth o) => IsAuth o
instance (GObject o, O.IsDescendantOf Auth o) => IsAuth o
instance O.HasParentTypes Auth
#if ENABLE_OVERLOADING
data AuthHostPropertyInfo
#endif
#if ENABLE_OVERLOADING
data AuthIsAuthenticatedPropertyInfo
#endif
#if ENABLE_OVERLOADING
data AuthIsForProxyPropertyInfo
#endif
#if ENABLE_OVERLOADING
data AuthRealmPropertyInfo
#endif
#if ENABLE_OVERLOADING
data AuthSchemeNamePropertyInfo
#endif
#if ENABLE_OVERLOADING
data AuthAuthenticateMethodInfo
#endif
#if ENABLE_OVERLOADING
data AuthCanAuthenticateMethodInfo
#endif
#if ENABLE_OVERLOADING
data AuthGetAuthorizationMethodInfo
#endif
#if ENABLE_OVERLOADING
data AuthGetHostMethodInfo
#endif
#if ENABLE_OVERLOADING
data AuthGetInfoMethodInfo
#endif
#if ENABLE_OVERLOADING
data AuthGetProtectionSpaceMethodInfo
#endif
#if ENABLE_OVERLOADING
data AuthGetRealmMethodInfo
#endif
#if ENABLE_OVERLOADING
data AuthGetSavedPasswordMethodInfo
#endif
#if ENABLE_OVERLOADING
data AuthGetSavedUsersMethodInfo
#endif
#if ENABLE_OVERLOADING
data AuthGetSchemeNameMethodInfo
#endif
#if ENABLE_OVERLOADING
data AuthHasSavedPasswordMethodInfo
#endif
#if ENABLE_OVERLOADING
data AuthIsAuthenticatedMethodInfo
#endif
#if ENABLE_OVERLOADING
data AuthIsForProxyMethodInfo
#endif
#if ENABLE_OVERLOADING
data AuthIsReadyMethodInfo
#endif
#if ENABLE_OVERLOADING
data AuthSavePasswordMethodInfo
#endif
#if ENABLE_OVERLOADING
data AuthUpdateMethodInfo
#endif
