#define ENABLE_OVERLOADING (MIN_VERSION_haskell_gi_overloading(1,0,0) \
       && !defined(__HADDOCK_VERSION__))
module GI.Soup.Objects.AuthDomain where

import Data.GI.Base.ShortPrelude
import qualified Data.GI.Base.ShortPrelude as SP
import qualified Data.GI.Base.Overloading as O
import qualified Prelude as P

import qualified Data.GI.Base.Attributes as GI.Attributes
import qualified Data.GI.Base.ManagedPtr as B.ManagedPtr
import qualified Data.GI.Base.GClosure as B.GClosure
import qualified Data.GI.Base.GError as B.GError
import qualified Data.GI.Base.GVariant as B.GVariant
import qualified Data.GI.Base.GValue as B.GValue
import qualified Data.GI.Base.GParamSpec as B.GParamSpec
import qualified Data.GI.Base.CallStack as B.CallStack
import qualified Data.GI.Base.Properties as B.Properties
import qualified Data.Text as T
import qualified Data.ByteString.Char8 as B
import qualified Data.Map as Map
import qualified Foreign.Ptr as FP
import qualified GHC.OverloadedLabels as OL

newtype AuthDomain = AuthDomain (ManagedPtr AuthDomain)
instance GObject AuthDomain where
class (GObject o, O.IsDescendantOf AuthDomain o) => IsAuthDomain o
instance (GObject o, O.IsDescendantOf AuthDomain o) => IsAuthDomain o
instance O.HasParentTypes AuthDomain
#if ENABLE_OVERLOADING
data AuthDomainAddPathPropertyInfo
#endif
#if ENABLE_OVERLOADING
data AuthDomainFilterPropertyInfo
#endif
#if ENABLE_OVERLOADING
data AuthDomainFilterDataPropertyInfo
#endif
#if ENABLE_OVERLOADING
data AuthDomainGenericAuthCallbackPropertyInfo
#endif
#if ENABLE_OVERLOADING
data AuthDomainGenericAuthDataPropertyInfo
#endif
#if ENABLE_OVERLOADING
data AuthDomainProxyPropertyInfo
#endif
#if ENABLE_OVERLOADING
data AuthDomainRealmPropertyInfo
#endif
#if ENABLE_OVERLOADING
data AuthDomainRemovePathPropertyInfo
#endif
#if ENABLE_OVERLOADING
data AuthDomainAcceptsMethodInfo
#endif
#if ENABLE_OVERLOADING
data AuthDomainAddPathMethodInfo
#endif
#if ENABLE_OVERLOADING
data AuthDomainChallengeMethodInfo
#endif
#if ENABLE_OVERLOADING
data AuthDomainCheckPasswordMethodInfo
#endif
#if ENABLE_OVERLOADING
data AuthDomainCoversMethodInfo
#endif
#if ENABLE_OVERLOADING
data AuthDomainGetRealmMethodInfo
#endif
#if ENABLE_OVERLOADING
data AuthDomainRemovePathMethodInfo
#endif
#if ENABLE_OVERLOADING
data AuthDomainSetFilterMethodInfo
#endif
#if ENABLE_OVERLOADING
data AuthDomainSetGenericAuthCallbackMethodInfo
#endif
#if ENABLE_OVERLOADING
data AuthDomainTryGenericAuthCallbackMethodInfo
#endif
