#define ENABLE_OVERLOADING (MIN_VERSION_haskell_gi_overloading(1,0,0) \
       && !defined(__HADDOCK_VERSION__))
module GI.Soup.Objects.CookieJar where

import Data.GI.Base.ShortPrelude
import qualified Data.GI.Base.ShortPrelude as SP
import qualified Data.GI.Base.Overloading as O
import qualified Prelude as P

import qualified Data.GI.Base.Attributes as GI.Attributes
import qualified Data.GI.Base.ManagedPtr as B.ManagedPtr
import qualified Data.GI.Base.GClosure as B.GClosure
import qualified Data.GI.Base.GError as B.GError
import qualified Data.GI.Base.GVariant as B.GVariant
import qualified Data.GI.Base.GValue as B.GValue
import qualified Data.GI.Base.GParamSpec as B.GParamSpec
import qualified Data.GI.Base.CallStack as B.CallStack
import qualified Data.GI.Base.Properties as B.Properties
import qualified Data.Text as T
import qualified Data.ByteString.Char8 as B
import qualified Data.Map as Map
import qualified Foreign.Ptr as FP
import qualified GHC.OverloadedLabels as OL

newtype CookieJar = CookieJar (ManagedPtr CookieJar)
instance GObject CookieJar where
class (GObject o, O.IsDescendantOf CookieJar o) => IsCookieJar o
instance (GObject o, O.IsDescendantOf CookieJar o) => IsCookieJar o
instance O.HasParentTypes CookieJar
#if ENABLE_OVERLOADING
data CookieJarAcceptPolicyPropertyInfo
#endif
#if ENABLE_OVERLOADING
data CookieJarReadOnlyPropertyInfo
#endif
#if ENABLE_OVERLOADING
data CookieJarChangedSignalInfo
#endif
#if ENABLE_OVERLOADING
data CookieJarAddCookieMethodInfo
#endif
#if ENABLE_OVERLOADING
data CookieJarAddCookieWithFirstPartyMethodInfo
#endif
#if ENABLE_OVERLOADING
data CookieJarAllCookiesMethodInfo
#endif
#if ENABLE_OVERLOADING
data CookieJarDeleteCookieMethodInfo
#endif
#if ENABLE_OVERLOADING
data CookieJarGetAcceptPolicyMethodInfo
#endif
#if ENABLE_OVERLOADING
data CookieJarGetCookieListMethodInfo
#endif
#if ENABLE_OVERLOADING
data CookieJarGetCookiesMethodInfo
#endif
#if ENABLE_OVERLOADING
data CookieJarIsPersistentMethodInfo
#endif
#if ENABLE_OVERLOADING
data CookieJarSaveMethodInfo
#endif
#if ENABLE_OVERLOADING
data CookieJarSetAcceptPolicyMethodInfo
#endif
#if ENABLE_OVERLOADING
data CookieJarSetCookieMethodInfo
#endif
#if ENABLE_OVERLOADING
data CookieJarSetCookieWithFirstPartyMethodInfo
#endif
