#define ENABLE_OVERLOADING (MIN_VERSION_haskell_gi_overloading(1,0,0) \
       && !defined(__HADDOCK_VERSION__))
module GI.Soup.Objects.Message where

import Data.GI.Base.ShortPrelude
import qualified Data.GI.Base.ShortPrelude as SP
import qualified Data.GI.Base.Overloading as O
import qualified Prelude as P

import qualified Data.GI.Base.Attributes as GI.Attributes
import qualified Data.GI.Base.ManagedPtr as B.ManagedPtr
import qualified Data.GI.Base.GClosure as B.GClosure
import qualified Data.GI.Base.GError as B.GError
import qualified Data.GI.Base.GVariant as B.GVariant
import qualified Data.GI.Base.GValue as B.GValue
import qualified Data.GI.Base.GParamSpec as B.GParamSpec
import qualified Data.GI.Base.CallStack as B.CallStack
import qualified Data.GI.Base.Properties as B.Properties
import qualified Data.Text as T
import qualified Data.ByteString.Char8 as B
import qualified Data.Map as Map
import qualified Foreign.Ptr as FP
import qualified GHC.OverloadedLabels as OL

newtype Message = Message (ManagedPtr Message)
instance GObject Message where
class (GObject o, O.IsDescendantOf Message o) => IsMessage o
instance (GObject o, O.IsDescendantOf Message o) => IsMessage o
instance O.HasParentTypes Message
#if ENABLE_OVERLOADING
data MessageFirstPartyPropertyInfo
#endif
#if ENABLE_OVERLOADING
data MessageFlagsPropertyInfo
#endif
#if ENABLE_OVERLOADING
data MessageHttpVersionPropertyInfo
#endif
#if ENABLE_OVERLOADING
data MessageMethodPropertyInfo
#endif
#if ENABLE_OVERLOADING
data MessagePriorityPropertyInfo
#endif
#if ENABLE_OVERLOADING
data MessageReasonPhrasePropertyInfo
#endif
#if ENABLE_OVERLOADING
data MessageRequestBodyPropertyInfo
#endif
#if ENABLE_OVERLOADING
data MessageRequestBodyDataPropertyInfo
#endif
#if ENABLE_OVERLOADING
data MessageRequestHeadersPropertyInfo
#endif
#if ENABLE_OVERLOADING
data MessageResponseBodyPropertyInfo
#endif
#if ENABLE_OVERLOADING
data MessageResponseBodyDataPropertyInfo
#endif
#if ENABLE_OVERLOADING
data MessageResponseHeadersPropertyInfo
#endif
#if ENABLE_OVERLOADING
data MessageServerSidePropertyInfo
#endif
#if ENABLE_OVERLOADING
data MessageStatusCodePropertyInfo
#endif
#if ENABLE_OVERLOADING
data MessageTlsCertificatePropertyInfo
#endif
#if ENABLE_OVERLOADING
data MessageTlsErrorsPropertyInfo
#endif
#if ENABLE_OVERLOADING
data MessageUriPropertyInfo
#endif
#if ENABLE_OVERLOADING
data MessageContentSniffedSignalInfo
#endif
#if ENABLE_OVERLOADING
data MessageFinishedSignalInfo
#endif
#if ENABLE_OVERLOADING
data MessageGotBodySignalInfo
#endif
#if ENABLE_OVERLOADING
data MessageGotChunkSignalInfo
#endif
#if ENABLE_OVERLOADING
data MessageGotHeadersSignalInfo
#endif
#if ENABLE_OVERLOADING
data MessageGotInformationalSignalInfo
#endif
#if ENABLE_OVERLOADING
data MessageNetworkEventSignalInfo
#endif
#if ENABLE_OVERLOADING
data MessageRestartedSignalInfo
#endif
#if ENABLE_OVERLOADING
data MessageStartingSignalInfo
#endif
#if ENABLE_OVERLOADING
data MessageWroteBodySignalInfo
#endif
#if ENABLE_OVERLOADING
data MessageWroteBodyDataSignalInfo
#endif
#if ENABLE_OVERLOADING
data MessageWroteChunkSignalInfo
#endif
#if ENABLE_OVERLOADING
data MessageWroteHeadersSignalInfo
#endif
#if ENABLE_OVERLOADING
data MessageWroteInformationalSignalInfo
#endif
#if ENABLE_OVERLOADING
data MessageContentSniffedMethodInfo
#endif
#if ENABLE_OVERLOADING
data MessageDisableFeatureMethodInfo
#endif
#if ENABLE_OVERLOADING
data MessageFinishedMethodInfo
#endif
#if ENABLE_OVERLOADING
data MessageGetAddressMethodInfo
#endif
#if ENABLE_OVERLOADING
data MessageGetFirstPartyMethodInfo
#endif
#if ENABLE_OVERLOADING
data MessageGetFlagsMethodInfo
#endif
#if ENABLE_OVERLOADING
data MessageGetHttpVersionMethodInfo
#endif
#if ENABLE_OVERLOADING
data MessageGetHttpsStatusMethodInfo
#endif
#if ENABLE_OVERLOADING
data MessageGetPriorityMethodInfo
#endif
#if ENABLE_OVERLOADING
data MessageGetSoupRequestMethodInfo
#endif
#if ENABLE_OVERLOADING
data MessageGetUriMethodInfo
#endif
#if ENABLE_OVERLOADING
data MessageGotBodyMethodInfo
#endif
#if ENABLE_OVERLOADING
data MessageGotChunkMethodInfo
#endif
#if ENABLE_OVERLOADING
data MessageGotHeadersMethodInfo
#endif
#if ENABLE_OVERLOADING
data MessageGotInformationalMethodInfo
#endif
#if ENABLE_OVERLOADING
data MessageIsKeepaliveMethodInfo
#endif
#if ENABLE_OVERLOADING
data MessageRestartedMethodInfo
#endif
#if ENABLE_OVERLOADING
data MessageSetChunkAllocatorMethodInfo
#endif
#if ENABLE_OVERLOADING
data MessageSetFirstPartyMethodInfo
#endif
#if ENABLE_OVERLOADING
data MessageSetFlagsMethodInfo
#endif
#if ENABLE_OVERLOADING
data MessageSetHttpVersionMethodInfo
#endif
#if ENABLE_OVERLOADING
data MessageSetPriorityMethodInfo
#endif
#if ENABLE_OVERLOADING
data MessageSetRedirectMethodInfo
#endif
#if ENABLE_OVERLOADING
data MessageSetRequestMethodInfo
#endif
#if ENABLE_OVERLOADING
data MessageSetResponseMethodInfo
#endif
#if ENABLE_OVERLOADING
data MessageSetStatusMethodInfo
#endif
#if ENABLE_OVERLOADING
data MessageSetStatusFullMethodInfo
#endif
#if ENABLE_OVERLOADING
data MessageSetUriMethodInfo
#endif
#if ENABLE_OVERLOADING
data MessageStartingMethodInfo
#endif
#if ENABLE_OVERLOADING
data MessageWroteBodyMethodInfo
#endif
#if ENABLE_OVERLOADING
data MessageWroteBodyDataMethodInfo
#endif
#if ENABLE_OVERLOADING
data MessageWroteChunkMethodInfo
#endif
#if ENABLE_OVERLOADING
data MessageWroteHeadersMethodInfo
#endif
#if ENABLE_OVERLOADING
data MessageWroteInformationalMethodInfo
#endif
