#define ENABLE_OVERLOADING (MIN_VERSION_haskell_gi_overloading(1,0,0) \
       && !defined(__HADDOCK_VERSION__))
module GI.Soup.Objects.Server where

import Data.GI.Base.ShortPrelude
import qualified Data.GI.Base.ShortPrelude as SP
import qualified Data.GI.Base.Overloading as O
import qualified Prelude as P

import qualified Data.GI.Base.Attributes as GI.Attributes
import qualified Data.GI.Base.ManagedPtr as B.ManagedPtr
import qualified Data.GI.Base.GClosure as B.GClosure
import qualified Data.GI.Base.GError as B.GError
import qualified Data.GI.Base.GVariant as B.GVariant
import qualified Data.GI.Base.GValue as B.GValue
import qualified Data.GI.Base.GParamSpec as B.GParamSpec
import qualified Data.GI.Base.CallStack as B.CallStack
import qualified Data.GI.Base.Properties as B.Properties
import qualified Data.Text as T
import qualified Data.ByteString.Char8 as B
import qualified Data.Map as Map
import qualified Foreign.Ptr as FP
import qualified GHC.OverloadedLabels as OL

newtype Server = Server (ManagedPtr Server)
instance GObject Server where
class (GObject o, O.IsDescendantOf Server o) => IsServer o
instance (GObject o, O.IsDescendantOf Server o) => IsServer o
instance O.HasParentTypes Server
#if ENABLE_OVERLOADING
data ServerAsyncContextPropertyInfo
#endif
#if ENABLE_OVERLOADING
data ServerHttpAliasesPropertyInfo
#endif
#if ENABLE_OVERLOADING
data ServerHttpsAliasesPropertyInfo
#endif
#if ENABLE_OVERLOADING
data ServerInterfacePropertyInfo
#endif
#if ENABLE_OVERLOADING
data ServerPortPropertyInfo
#endif
#if ENABLE_OVERLOADING
data ServerRawPathsPropertyInfo
#endif
#if ENABLE_OVERLOADING
data ServerServerHeaderPropertyInfo
#endif
#if ENABLE_OVERLOADING
data ServerSslCertFilePropertyInfo
#endif
#if ENABLE_OVERLOADING
data ServerSslKeyFilePropertyInfo
#endif
#if ENABLE_OVERLOADING
data ServerTlsCertificatePropertyInfo
#endif
#if ENABLE_OVERLOADING
data ServerRequestAbortedSignalInfo
#endif
#if ENABLE_OVERLOADING
data ServerRequestFinishedSignalInfo
#endif
#if ENABLE_OVERLOADING
data ServerRequestReadSignalInfo
#endif
#if ENABLE_OVERLOADING
data ServerRequestStartedSignalInfo
#endif
#if ENABLE_OVERLOADING
data ServerAcceptIostreamMethodInfo
#endif
#if ENABLE_OVERLOADING
data ServerAddAuthDomainMethodInfo
#endif
#if ENABLE_OVERLOADING
data ServerAddEarlyHandlerMethodInfo
#endif
#if ENABLE_OVERLOADING
data ServerAddHandlerMethodInfo
#endif
#if ENABLE_OVERLOADING
data ServerAddWebsocketHandlerMethodInfo
#endif
#if ENABLE_OVERLOADING
data ServerDisconnectMethodInfo
#endif
#if ENABLE_OVERLOADING
data ServerGetAsyncContextMethodInfo
#endif
#if ENABLE_OVERLOADING
data ServerGetListenerMethodInfo
#endif
#if ENABLE_OVERLOADING
data ServerGetListenersMethodInfo
#endif
#if ENABLE_OVERLOADING
data ServerGetPortMethodInfo
#endif
#if ENABLE_OVERLOADING
data ServerGetUrisMethodInfo
#endif
#if ENABLE_OVERLOADING
data ServerIsHttpsMethodInfo
#endif
#if ENABLE_OVERLOADING
data ServerListenMethodInfo
#endif
#if ENABLE_OVERLOADING
data ServerListenAllMethodInfo
#endif
#if ENABLE_OVERLOADING
data ServerListenFdMethodInfo
#endif
#if ENABLE_OVERLOADING
data ServerListenLocalMethodInfo
#endif
#if ENABLE_OVERLOADING
data ServerListenSocketMethodInfo
#endif
#if ENABLE_OVERLOADING
data ServerPauseMessageMethodInfo
#endif
#if ENABLE_OVERLOADING
data ServerQuitMethodInfo
#endif
#if ENABLE_OVERLOADING
data ServerRemoveAuthDomainMethodInfo
#endif
#if ENABLE_OVERLOADING
data ServerRemoveHandlerMethodInfo
#endif
#if ENABLE_OVERLOADING
data ServerRunMethodInfo
#endif
#if ENABLE_OVERLOADING
data ServerRunAsyncMethodInfo
#endif
#if ENABLE_OVERLOADING
data ServerSetSslCertFileMethodInfo
#endif
#if ENABLE_OVERLOADING
data ServerUnpauseMessageMethodInfo
#endif
