#define ENABLE_OVERLOADING (MIN_VERSION_haskell_gi_overloading(1,0,0) \
       && !defined(__HADDOCK_VERSION__))
module GI.Soup.Objects.Session where

import Data.GI.Base.ShortPrelude
import qualified Data.GI.Base.ShortPrelude as SP
import qualified Data.GI.Base.Overloading as O
import qualified Prelude as P

import qualified Data.GI.Base.Attributes as GI.Attributes
import qualified Data.GI.Base.ManagedPtr as B.ManagedPtr
import qualified Data.GI.Base.GClosure as B.GClosure
import qualified Data.GI.Base.GError as B.GError
import qualified Data.GI.Base.GVariant as B.GVariant
import qualified Data.GI.Base.GValue as B.GValue
import qualified Data.GI.Base.GParamSpec as B.GParamSpec
import qualified Data.GI.Base.CallStack as B.CallStack
import qualified Data.GI.Base.Properties as B.Properties
import qualified Data.Text as T
import qualified Data.ByteString.Char8 as B
import qualified Data.Map as Map
import qualified Foreign.Ptr as FP
import qualified GHC.OverloadedLabels as OL

newtype Session = Session (ManagedPtr Session)
instance GObject Session where
class (GObject o, O.IsDescendantOf Session o) => IsSession o
instance (GObject o, O.IsDescendantOf Session o) => IsSession o
instance O.HasParentTypes Session
#if ENABLE_OVERLOADING
data SessionAcceptLanguagePropertyInfo
#endif
#if ENABLE_OVERLOADING
data SessionAcceptLanguageAutoPropertyInfo
#endif
#if ENABLE_OVERLOADING
data SessionAsyncContextPropertyInfo
#endif
#if ENABLE_OVERLOADING
data SessionHttpAliasesPropertyInfo
#endif
#if ENABLE_OVERLOADING
data SessionHttpsAliasesPropertyInfo
#endif
#if ENABLE_OVERLOADING
data SessionIdleTimeoutPropertyInfo
#endif
#if ENABLE_OVERLOADING
data SessionLocalAddressPropertyInfo
#endif
#if ENABLE_OVERLOADING
data SessionMaxConnsPropertyInfo
#endif
#if ENABLE_OVERLOADING
data SessionMaxConnsPerHostPropertyInfo
#endif
#if ENABLE_OVERLOADING
data SessionProxyResolverPropertyInfo
#endif
#if ENABLE_OVERLOADING
data SessionProxyUriPropertyInfo
#endif
#if ENABLE_OVERLOADING
data SessionSslCaFilePropertyInfo
#endif
#if ENABLE_OVERLOADING
data SessionSslStrictPropertyInfo
#endif
#if ENABLE_OVERLOADING
data SessionSslUseSystemCaFilePropertyInfo
#endif
#if ENABLE_OVERLOADING
data SessionTimeoutPropertyInfo
#endif
#if ENABLE_OVERLOADING
data SessionTlsDatabasePropertyInfo
#endif
#if ENABLE_OVERLOADING
data SessionTlsInteractionPropertyInfo
#endif
#if ENABLE_OVERLOADING
data SessionUseNtlmPropertyInfo
#endif
#if ENABLE_OVERLOADING
data SessionUseThreadContextPropertyInfo
#endif
#if ENABLE_OVERLOADING
data SessionUserAgentPropertyInfo
#endif
#if ENABLE_OVERLOADING
data SessionAuthenticateSignalInfo
#endif
#if ENABLE_OVERLOADING
data SessionConnectionCreatedSignalInfo
#endif
#if ENABLE_OVERLOADING
data SessionRequestQueuedSignalInfo
#endif
#if ENABLE_OVERLOADING
data SessionRequestStartedSignalInfo
#endif
#if ENABLE_OVERLOADING
data SessionRequestUnqueuedSignalInfo
#endif
#if ENABLE_OVERLOADING
data SessionTunnelingSignalInfo
#endif
#if ENABLE_OVERLOADING
data SessionAbortMethodInfo
#endif
#if ENABLE_OVERLOADING
data SessionAddFeatureMethodInfo
#endif
#if ENABLE_OVERLOADING
data SessionAddFeatureByTypeMethodInfo
#endif
#if ENABLE_OVERLOADING
data SessionCancelMessageMethodInfo
#endif
#if ENABLE_OVERLOADING
data SessionConnectAsyncMethodInfo
#endif
#if ENABLE_OVERLOADING
data SessionConnectFinishMethodInfo
#endif
#if ENABLE_OVERLOADING
data SessionGetAsyncContextMethodInfo
#endif
#if ENABLE_OVERLOADING
data SessionGetFeatureMethodInfo
#endif
#if ENABLE_OVERLOADING
data SessionGetFeatureForMessageMethodInfo
#endif
#if ENABLE_OVERLOADING
data SessionGetFeaturesMethodInfo
#endif
#if ENABLE_OVERLOADING
data SessionHasFeatureMethodInfo
#endif
#if ENABLE_OVERLOADING
data SessionPauseMessageMethodInfo
#endif
#if ENABLE_OVERLOADING
data SessionPrefetchDnsMethodInfo
#endif
#if ENABLE_OVERLOADING
data SessionPrepareForUriMethodInfo
#endif
#if ENABLE_OVERLOADING
data SessionQueueMessageMethodInfo
#endif
#if ENABLE_OVERLOADING
data SessionRedirectMessageMethodInfo
#endif
#if ENABLE_OVERLOADING
data SessionRemoveFeatureMethodInfo
#endif
#if ENABLE_OVERLOADING
data SessionRemoveFeatureByTypeMethodInfo
#endif
#if ENABLE_OVERLOADING
data SessionRequestMethodInfo
#endif
#if ENABLE_OVERLOADING
data SessionRequestHttpMethodInfo
#endif
#if ENABLE_OVERLOADING
data SessionRequestHttpUriMethodInfo
#endif
#if ENABLE_OVERLOADING
data SessionRequestUriMethodInfo
#endif
#if ENABLE_OVERLOADING
data SessionRequeueMessageMethodInfo
#endif
#if ENABLE_OVERLOADING
data SessionSendMethodInfo
#endif
#if ENABLE_OVERLOADING
data SessionSendAsyncMethodInfo
#endif
#if ENABLE_OVERLOADING
data SessionSendFinishMethodInfo
#endif
#if ENABLE_OVERLOADING
data SessionSendMessageMethodInfo
#endif
#if ENABLE_OVERLOADING
data SessionStealConnectionMethodInfo
#endif
#if ENABLE_OVERLOADING
data SessionUnpauseMessageMethodInfo
#endif
#if ENABLE_OVERLOADING
data SessionWebsocketConnectAsyncMethodInfo
#endif
#if ENABLE_OVERLOADING
data SessionWebsocketConnectFinishMethodInfo
#endif
#if ENABLE_OVERLOADING
data SessionWouldRedirectMethodInfo
#endif
