#define ENABLE_OVERLOADING (MIN_VERSION_haskell_gi_overloading(1,0,0) \
       && !defined(__HADDOCK_VERSION__))
module GI.Soup.Objects.Cache where

import Data.GI.Base.ShortPrelude
import qualified Data.GI.Base.ShortPrelude as SP
import qualified Data.GI.Base.Overloading as O
import qualified Prelude as P

import qualified Data.GI.Base.Attributes as GI.Attributes
import qualified Data.GI.Base.ManagedPtr as B.ManagedPtr
import qualified Data.GI.Base.GClosure as B.GClosure
import qualified Data.GI.Base.GError as B.GError
import qualified Data.GI.Base.GVariant as B.GVariant
import qualified Data.GI.Base.GValue as B.GValue
import qualified Data.GI.Base.GParamSpec as B.GParamSpec
import qualified Data.GI.Base.CallStack as B.CallStack
import qualified Data.GI.Base.Properties as B.Properties
import qualified Data.Text as T
import qualified Data.ByteString.Char8 as B
import qualified Data.Map as Map
import qualified Foreign.Ptr as FP
import qualified GHC.OverloadedLabels as OL

newtype Cache = Cache (ManagedPtr Cache)
instance GObject Cache where
class (GObject o, O.IsDescendantOf Cache o) => IsCache o
instance (GObject o, O.IsDescendantOf Cache o) => IsCache o
instance O.HasParentTypes Cache
#if ENABLE_OVERLOADING
data CacheCacheDirPropertyInfo
#endif
#if ENABLE_OVERLOADING
data CacheCacheTypePropertyInfo
#endif
#if ENABLE_OVERLOADING
data CacheClearMethodInfo
#endif
#if ENABLE_OVERLOADING
data CacheDumpMethodInfo
#endif
#if ENABLE_OVERLOADING
data CacheFlushMethodInfo
#endif
#if ENABLE_OVERLOADING
data CacheGetMaxSizeMethodInfo
#endif
#if ENABLE_OVERLOADING
data CacheLoadMethodInfo
#endif
#if ENABLE_OVERLOADING
data CacheSetMaxSizeMethodInfo
#endif
