#define ENABLE_OVERLOADING (MIN_VERSION_haskell_gi_overloading(1,0,0) \
       && !defined(__HADDOCK_VERSION__))
module GI.Soup.Objects.Socket where

import Data.GI.Base.ShortPrelude
import qualified Data.GI.Base.ShortPrelude as SP
import qualified Data.GI.Base.Overloading as O
import qualified Prelude as P

import qualified Data.GI.Base.Attributes as GI.Attributes
import qualified Data.GI.Base.ManagedPtr as B.ManagedPtr
import qualified Data.GI.Base.GClosure as B.GClosure
import qualified Data.GI.Base.GError as B.GError
import qualified Data.GI.Base.GVariant as B.GVariant
import qualified Data.GI.Base.GValue as B.GValue
import qualified Data.GI.Base.GParamSpec as B.GParamSpec
import qualified Data.GI.Base.CallStack as B.CallStack
import qualified Data.GI.Base.Properties as B.Properties
import qualified Data.Text as T
import qualified Data.ByteString.Char8 as B
import qualified Data.Map as Map
import qualified Foreign.Ptr as FP
import qualified GHC.OverloadedLabels as OL

newtype Socket = Socket (ManagedPtr Socket)
instance GObject Socket where
class (GObject o, O.IsDescendantOf Socket o) => IsSocket o
instance (GObject o, O.IsDescendantOf Socket o) => IsSocket o
instance O.HasParentTypes Socket
#if ENABLE_OVERLOADING
data SocketAsyncContextPropertyInfo
#endif
#if ENABLE_OVERLOADING
data SocketFdPropertyInfo
#endif
#if ENABLE_OVERLOADING
data SocketGsocketPropertyInfo
#endif
#if ENABLE_OVERLOADING
data SocketIostreamPropertyInfo
#endif
#if ENABLE_OVERLOADING
data SocketIpv6OnlyPropertyInfo
#endif
#if ENABLE_OVERLOADING
data SocketIsServerPropertyInfo
#endif
#if ENABLE_OVERLOADING
data SocketLocalAddressPropertyInfo
#endif
#if ENABLE_OVERLOADING
data SocketNonBlockingPropertyInfo
#endif
#if ENABLE_OVERLOADING
data SocketRemoteAddressPropertyInfo
#endif
#if ENABLE_OVERLOADING
data SocketSslCredsPropertyInfo
#endif
#if ENABLE_OVERLOADING
data SocketSslFallbackPropertyInfo
#endif
#if ENABLE_OVERLOADING
data SocketSslStrictPropertyInfo
#endif
#if ENABLE_OVERLOADING
data SocketTimeoutPropertyInfo
#endif
#if ENABLE_OVERLOADING
data SocketTlsCertificatePropertyInfo
#endif
#if ENABLE_OVERLOADING
data SocketTlsErrorsPropertyInfo
#endif
#if ENABLE_OVERLOADING
data SocketTrustedCertificatePropertyInfo
#endif
#if ENABLE_OVERLOADING
data SocketUseThreadContextPropertyInfo
#endif
#if ENABLE_OVERLOADING
data SocketDisconnectedSignalInfo
#endif
#if ENABLE_OVERLOADING
data SocketEventSignalInfo
#endif
#if ENABLE_OVERLOADING
data SocketNewConnectionSignalInfo
#endif
#if ENABLE_OVERLOADING
data SocketReadableSignalInfo
#endif
#if ENABLE_OVERLOADING
data SocketWritableSignalInfo
#endif
#if ENABLE_OVERLOADING
data SocketConnectAsyncMethodInfo
#endif
#if ENABLE_OVERLOADING
data SocketConnectSyncMethodInfo
#endif
#if ENABLE_OVERLOADING
data SocketDisconnectMethodInfo
#endif
#if ENABLE_OVERLOADING
data SocketGetFdMethodInfo
#endif
#if ENABLE_OVERLOADING
data SocketGetLocalAddressMethodInfo
#endif
#if ENABLE_OVERLOADING
data SocketGetRemoteAddressMethodInfo
#endif
#if ENABLE_OVERLOADING
data SocketIsConnectedMethodInfo
#endif
#if ENABLE_OVERLOADING
data SocketIsSslMethodInfo
#endif
#if ENABLE_OVERLOADING
data SocketListenMethodInfo
#endif
#if ENABLE_OVERLOADING
data SocketReadMethodInfo
#endif
#if ENABLE_OVERLOADING
data SocketReadUntilMethodInfo
#endif
#if ENABLE_OVERLOADING
data SocketStartProxySslMethodInfo
#endif
#if ENABLE_OVERLOADING
data SocketStartSslMethodInfo
#endif
#if ENABLE_OVERLOADING
data SocketWriteMethodInfo
#endif
