#define ENABLE_OVERLOADING (MIN_VERSION_haskell_gi_overloading(1,0,0) \
       && !defined(__HADDOCK_VERSION__))
module GI.Soup.Objects.WebsocketConnection where

import Data.GI.Base.ShortPrelude
import qualified Data.GI.Base.ShortPrelude as SP
import qualified Data.GI.Base.Overloading as O
import qualified Prelude as P

import qualified Data.GI.Base.Attributes as GI.Attributes
import qualified Data.GI.Base.ManagedPtr as B.ManagedPtr
import qualified Data.GI.Base.GClosure as B.GClosure
import qualified Data.GI.Base.GError as B.GError
import qualified Data.GI.Base.GVariant as B.GVariant
import qualified Data.GI.Base.GValue as B.GValue
import qualified Data.GI.Base.GParamSpec as B.GParamSpec
import qualified Data.GI.Base.CallStack as B.CallStack
import qualified Data.GI.Base.Properties as B.Properties
import qualified Data.Text as T
import qualified Data.ByteString.Char8 as B
import qualified Data.Map as Map
import qualified Foreign.Ptr as FP
import qualified GHC.OverloadedLabels as OL

newtype WebsocketConnection = WebsocketConnection (ManagedPtr WebsocketConnection)
instance GObject WebsocketConnection where
class (GObject o, O.IsDescendantOf WebsocketConnection o) => IsWebsocketConnection o
instance (GObject o, O.IsDescendantOf WebsocketConnection o) => IsWebsocketConnection o
instance O.HasParentTypes WebsocketConnection
#if ENABLE_OVERLOADING
data WebsocketConnectionConnectionTypePropertyInfo
#endif
#if ENABLE_OVERLOADING
data WebsocketConnectionIoStreamPropertyInfo
#endif
#if ENABLE_OVERLOADING
data WebsocketConnectionKeepaliveIntervalPropertyInfo
#endif
#if ENABLE_OVERLOADING
data WebsocketConnectionMaxIncomingPayloadSizePropertyInfo
#endif
#if ENABLE_OVERLOADING
data WebsocketConnectionOriginPropertyInfo
#endif
#if ENABLE_OVERLOADING
data WebsocketConnectionProtocolPropertyInfo
#endif
#if ENABLE_OVERLOADING
data WebsocketConnectionStatePropertyInfo
#endif
#if ENABLE_OVERLOADING
data WebsocketConnectionUriPropertyInfo
#endif
#if ENABLE_OVERLOADING
data WebsocketConnectionClosedSignalInfo
#endif
#if ENABLE_OVERLOADING
data WebsocketConnectionClosingSignalInfo
#endif
#if ENABLE_OVERLOADING
data WebsocketConnectionErrorSignalInfo
#endif
#if ENABLE_OVERLOADING
data WebsocketConnectionMessageSignalInfo
#endif
#if ENABLE_OVERLOADING
data WebsocketConnectionPongSignalInfo
#endif
#if ENABLE_OVERLOADING
data WebsocketConnectionCloseMethodInfo
#endif
#if ENABLE_OVERLOADING
data WebsocketConnectionGetCloseCodeMethodInfo
#endif
#if ENABLE_OVERLOADING
data WebsocketConnectionGetCloseDataMethodInfo
#endif
#if ENABLE_OVERLOADING
data WebsocketConnectionGetConnectionTypeMethodInfo
#endif
#if ENABLE_OVERLOADING
data WebsocketConnectionGetIoStreamMethodInfo
#endif
#if ENABLE_OVERLOADING
data WebsocketConnectionGetKeepaliveIntervalMethodInfo
#endif
#if ENABLE_OVERLOADING
data WebsocketConnectionGetMaxIncomingPayloadSizeMethodInfo
#endif
#if ENABLE_OVERLOADING
data WebsocketConnectionGetOriginMethodInfo
#endif
#if ENABLE_OVERLOADING
data WebsocketConnectionGetProtocolMethodInfo
#endif
#if ENABLE_OVERLOADING
data WebsocketConnectionGetStateMethodInfo
#endif
#if ENABLE_OVERLOADING
data WebsocketConnectionGetUriMethodInfo
#endif
#if ENABLE_OVERLOADING
data WebsocketConnectionSendBinaryMethodInfo
#endif
#if ENABLE_OVERLOADING
data WebsocketConnectionSendTextMethodInfo
#endif
#if ENABLE_OVERLOADING
data WebsocketConnectionSetKeepaliveIntervalMethodInfo
#endif
#if ENABLE_OVERLOADING
data WebsocketConnectionSetMaxIncomingPayloadSizeMethodInfo
#endif
