#define ENABLE_OVERLOADING (MIN_VERSION_haskell_gi_overloading(1,0,0) \
       && !defined(__HADDOCK_VERSION__))
module GI.Soup.Structs.URI where

import Data.GI.Base.ShortPrelude
import qualified Data.GI.Base.ShortPrelude as SP
import qualified Data.GI.Base.Overloading as O
import qualified Prelude as P

import qualified Data.GI.Base.Attributes as GI.Attributes
import qualified Data.GI.Base.ManagedPtr as B.ManagedPtr
import qualified Data.GI.Base.GClosure as B.GClosure
import qualified Data.GI.Base.GError as B.GError
import qualified Data.GI.Base.GVariant as B.GVariant
import qualified Data.GI.Base.GValue as B.GValue
import qualified Data.GI.Base.GParamSpec as B.GParamSpec
import qualified Data.GI.Base.CallStack as B.CallStack
import qualified Data.GI.Base.Properties as B.Properties
import qualified Data.Text as T
import qualified Data.ByteString.Char8 as B
import qualified Data.Map as Map
import qualified Foreign.Ptr as FP
import qualified GHC.OverloadedLabels as OL

newtype URI = URI (ManagedPtr URI)
instance BoxedObject URI where
#if ENABLE_OVERLOADING
data URICopyMethodInfo
#endif
#if ENABLE_OVERLOADING
data URICopyHostMethodInfo
#endif
#if ENABLE_OVERLOADING
data URIEqualMethodInfo
#endif
#if ENABLE_OVERLOADING
data URIFreeMethodInfo
#endif
#if ENABLE_OVERLOADING
data URIGetFragmentMethodInfo
#endif
#if ENABLE_OVERLOADING
data URIGetHostMethodInfo
#endif
#if ENABLE_OVERLOADING
data URIGetPasswordMethodInfo
#endif
#if ENABLE_OVERLOADING
data URIGetPathMethodInfo
#endif
#if ENABLE_OVERLOADING
data URIGetPortMethodInfo
#endif
#if ENABLE_OVERLOADING
data URIGetQueryMethodInfo
#endif
#if ENABLE_OVERLOADING
data URIGetSchemeMethodInfo
#endif
#if ENABLE_OVERLOADING
data URIGetUserMethodInfo
#endif
#if ENABLE_OVERLOADING
data URIHostEqualMethodInfo
#endif
#if ENABLE_OVERLOADING
data URIHostHashMethodInfo
#endif
#if ENABLE_OVERLOADING
data URISetFragmentMethodInfo
#endif
#if ENABLE_OVERLOADING
data URISetHostMethodInfo
#endif
#if ENABLE_OVERLOADING
data URISetPasswordMethodInfo
#endif
#if ENABLE_OVERLOADING
data URISetPathMethodInfo
#endif
#if ENABLE_OVERLOADING
data URISetPortMethodInfo
#endif
#if ENABLE_OVERLOADING
data URISetQueryMethodInfo
#endif
#if ENABLE_OVERLOADING
data URISetQueryFromFormMethodInfo
#endif
#if ENABLE_OVERLOADING
data URISetSchemeMethodInfo
#endif
#if ENABLE_OVERLOADING
data URISetUserMethodInfo
#endif
#if ENABLE_OVERLOADING
data URIToStringMethodInfo
#endif
#if ENABLE_OVERLOADING
data URIUsesDefaultPortMethodInfo
#endif
